---
name: base-base-environment
channels:
  # For most modules
  - conda-forge
  - defaults
dependencies:
  # JuptyerLab Extensions
  - jupyterlab-git>=0.50.0
  - jupyter-resource-usage
  - jupyterlab-recents
  - jupyterlab-favorites
  - jupyterlab_vim
  # Data compression plugins - necessary to view data with h5web
  - bitshuffle
  - hdf5plugin
  # Plotting utilities
  - matplotlib
  - jupyterlab_widgets
  - widgetsnbextension
  - ipywidgets
  - ipympl
  - nodejs
  # Dependencies
  - numpy
  # HDF5 plugin from ESRF
  - jupyterlab-h5web
  # Matlab kernel access
  - matlab_kernel==0.17.1
  # Extensions installed via pip
  - pip
  - pip:
    # GPU information widget
    - git+https://gitlab.maxiv.lu.se/scisw/jupyterhub/extensions/gpu-info-jupyterlab.git
    # Walltime information widget
    - git+https://gitlab.maxiv.lu.se/scisw/jupyterhub/extensions/walltime-jupyterlab.git
    # Session Stop menu command
    - git+https://gitlab.maxiv.lu.se/scisw/jupyterhub/extensions/session-stop-jupyterlab.git
    # Additional format conversions
    - nbconvert[qtpdf,webpdf,qtpng]
